Subject: RE: (ngtrans) Question about Neighbor Discovery over tunnels

From: Richard Draves <[email-masked]>
Date: Tue, 23 May 2000 11:05:07 -0700

Yes, it would be really really handy if Neighbor Unreachability Detection
worked over configured tunnels, but as you note I believe that many
implementations do not support it.

Another example is for a 6to4 gateway that knows about multiple 6to4 relays
- it wants to have NUD to detect unreachable/broken relays.

Rich

> -----Original Message-----
> From: Noelia Garcia [mailto:[email-masked]]
> Sent: Tuesday, May 23, 2000 7:27 AM
> To: NGTRANS List
> Subject: (ngtrans) Question about Neighbor Discovery over tunnels
> 
> 
> I have developed an IPv6 stack for a router; to connect it to 
> the 6bone  I
> am implementing  tunnels  Ipv6 over Ipv4 according to the 
> Internet Draft "
> Transition Mechanisms for Ipv6 Hosts and Routers", but I have the next
> problem: 
> When the Ipv4 connectivity in the tunnel fails (because of an external
> cause), the router does not realize of that , continues 
> routing packests
> through  the tunnel and these packets are lost. If I 
> implement Neighbor
> Unreachability Detection for the link local address of the end side of
> tunnel, I could desactive this tunnel when no answer is 
> received, and these
> packets could use  an alternative path to reach the 
> destination; however I
> do not receive response to  the probe packets used by NUD I 
> send . Therefore
> I do not know how to detect that the IPv4 conectivity of one 
> tunnel has
> failed ( to desactivate it and use an alternative one) and 
> how to detect
> that is "up" again to activate it.
> Could someone helping me???
> Thanks.
> Noelia.
>